#include <bits/stdc++.h>
using namespace std;

long long a[32001], n, cost = 0;
long long ans[10000000][2], ans1 = 0;

void buble(){
    bool p = true;
    int m = n;
    while (p && m >=0){
        p = false;
        for (int i = 0; i < m-1; i++){
            if (a[i]>a[i+1]){
                int r = a[i];
                a[i] = a[i+1];
                a[i+1] = r;
                p = true;
                ans[ans1][0] = i+1;
                ans[ans1][1] = i+2;
                ans1++;
            }
        }
        m--;
    }
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	cin>>n;
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    cout << 0;
}
